Subject: [GIT PULL 1/2] omap board removal for some omap3 boards for v3.13 merge window

From: [email-masked] (Tony Lindgren)
Date: Fri, 18 Oct 2013 10:18:40 -0700

* Kevin Hilman <[email-masked]> [131018 10:14]:
> On Fri, Oct 18, 2013 at 8:24 AM, Tony Lindgren <[email-masked]> wrote:
> > * Kevin Hilman <[email-masked]> [131018 07:49]:
> >> Hi Tony,
> >>
> >> Tony Lindgren <[email-masked]> writes:
> >>
> >> > The following changes since commit f41509ad0d4c11d0911630440749d409ce2aa1aa:
> >> >
> >> >   Merge branches 'omap-for-v3.13/dt' and 'omap-for-v3.13/quirk' into omap-for-v3.13/board-removal (2013-10-14 11:33:07 -0700)
> >> >
> >> > are available in the git repository at:
> >> >
> >> >
> >> >   git://git.kernel.org/pub/scm/linux/kernel/git/tmlind/linux-omap tags/omap-for-v3.13/board-removal-signed
> >> >
> >> > for you to fetch changes up to f0c09b7c3b4e6b2fe501b3e888797b470de8320c:
> >> >
> >> >   ARM: OMAP2+: Remove legacy support for zoom platforms (2013-10-15 17:38:21 -0700)
> >> >
> >> > ----------------------------------------------------------------
> >> > Changes needed to drop legacy booting support for some
> >> > omap3 boards.
> >> >
> >> > Note that that these are based on a merge of the
> >> > following for the dependencies:
> >> >
> >> > - v3.12-rc5 for fixes to pinctrl mask
> >> > - omap-for-v3.13/dt-signed to avoid pointless merge conflicts
> >> > - omap-for-v3.13/quirk-signed for legacy pdata handling
> >> >
> >> > ----------------------------------------------------------------
> >> > Aaro Koskinen (2):
> >> >       ARM: dts: add minimal DT support for Nokia N950 & N9 phones
> >> >       ARM: OMAP2: delete board-rm680
> >> >
> >> > Tony Lindgren (6):
> >> >       ARM: dts: Shared file for omap GPMC connected smsc911x
> >> >       ARM: dts: Add common support for omap3-evm
> >> >       ARM: dts: Add basic support for TMDSEVM3730 (Mistral AM/DM37x EVM)
> >> >       ARM: dts: Add basic support for zoom3
> >>
> >> This patch introduces a build failure when compiling the DTBs:
> >>
> >>   [...]
> >>   DTC     arch/arm/boot/dts/omap3-zoom3.dtb
> >> ERROR (phandle_references): Reference to non-existent node or label "wl12xx_gpio"
> >
> > Oops sorry, looks like the common support for omap3-evm has a
> > pinctrl entry that should be in the omap3-evm-37xx only. I guess
> > I did not run make dtbs after adding the omap3-evm-37xx parts.
> > The patch below fixes it for me.
> >
> > Do you want a new pull request or just the fix below?
> 
> Thanks for the fix.
> 
> I'd prefer a new pull req so we don't have a broken build in the
> middle of the series.

OK will apply Javier's patch also and send a new pull req.

Regards,

Tony